#ifndef IMGU_H
#define IMGU_H 7

#include "matrix.h"
#include "pnm.h"
#include "fill.h"

/** 
 * Calculate a distance map 
 * using the chamfer 3-4, this is an window
 * of size 3x3 which with local calculations
 * aproximate (withing a error of 8%) to the 
 * Euclidian distance
 * 
**/
extern void chamfer34( MATRIX *IN );
//extern MATRIX *convolution( MATRIX *img, MATRIX *win, int kw );
extern void smoothIMG( MATRIX *IMG );

void dilation_4neig_inplace_obj( MATRIX *I, int *vals, byte tono );

#endif